> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Profile

> Retrieve the profile information of a specific user, including optional details such as experiences, skills, services, certifications, publications, honors, volunteer experiences, and educational background.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/profile
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/user/profile:
    get:
      tags:
        - User Profile Data
      summary: Get User Profile
      description: >-
        Retrieve the profile information of a specific user, including optional
        details such as experiences, skills, services, certifications,
        publications, honors, volunteer experiences, and educational background.
      operationId: getApiV1UserProfile
      parameters:
        - in: query
          name: username
          schema:
            type: string
            description: The username of the user whose profile is being requested.
          required: true
        - in: query
          name: include_follower_and_connection
          schema:
            type: boolean
            default: false
            description: >-
              Include follower and connection count in the response. Enabling
              this option will consume an additional 1 request.
          required: false
        - in: query
          name: include_experiences
          schema:
            type: boolean
            default: false
            description: >-
              Include user's work experiences in the response. Enabling this
              option will consume an additional 1 request.
          required: false
        - in: query
          name: include_skills
          schema:
            type: boolean
            default: false
            description: >-
              Include user's skills in the response. Enabling this option will
              consume an additional 1 request.
          required: false
        - in: query
          name: include_services
          schema:
            type: boolean
            default: false
            description: >-
              Include user's services in the response. Enabling this option will
              consume an additional 1 request.
          required: false
        - in: query
          name: include_certifications
          schema:
            type: boolean
            default: false
            description: >-
              Include user's certifications in the response. Enabling this
              option will consume an additional 1 request.
          required: false
        - in: query
          name: include_publications
          schema:
            type: boolean
            default: false
            description: >-
              Include user's publications in the response. Enabling this option
              will consume an additional 1 request.
          required: false
        - in: query
          name: include_honors
          schema:
            type: boolean
            default: false
            description: >-
              Include user's honors and awards in the response. Enabling this
              option will consume an additional 1 request.
          required: false
        - in: query
          name: include_volunteers
          schema:
            type: boolean
            default: false
            description: >-
              Include user's volunteer experiences in the response. Enabling
              this option will consume an additional 1 request.
          required: false
        - in: query
          name: include_educations
          schema:
            type: boolean
            default: false
            description: >-
              Include user's educational background in the response. Enabling
              this option will consume an additional 1 request.
          required: false
        - in: query
          name: include_bio
          schema:
            type: boolean
            default: false
            description: >-
              Include user's bio (about) in the response. Enabling this option
              will consume an additional 1 request.
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: User ID
                        example: '251749025'
                      urn:
                        type: string
                        description: User URN
                        example: ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc
                      public_identifier:
                        type: string
                        description: Public identifier of the user
                        example: williamhgates
                      first_name:
                        type: string
                        description: First name of the user
                        example: Bill
                      last_name:
                        type: string
                        description: Last name of the user
                        example: Gates
                      full_name:
                        type: string
                        description: Full name of the user
                        example: Bill Gates
                      headline:
                        type: string
                        description: Headline of the user
                        example: >-
                          Chair, Gates Foundation and Founder, Breakthrough
                          Energy
                      is_premium:
                        type: boolean
                        description: Indicates if the user is a premium user
                        example: true
                      is_open_to_work:
                        type: boolean
                        description: Indicates if the user is open to work
                        example: false
                      is_hiring:
                        type: boolean
                        description: Indicates if the user is hiring
                        example: false
                      is_memorialized:
                        type: boolean
                        description: Indicates if the user is memorialized
                        example: false
                      is_influencer:
                        type: boolean
                        description: Indicates if the user is an influencer
                        example: true
                      is_top_voice:
                        type: boolean
                        description: Indicates if the user is a top voice
                        example: true
                      is_creator:
                        type: boolean
                        description: Indicates if the user is a creator
                        example: true
                      birth:
                        type: object
                        properties:
                          day:
                            type: number
                            description: Day of birth
                            example: 28
                          month:
                            type: number
                            description: Month of birth
                            example: 10
                          year:
                            type: number
                            description: Year of birth
                            example: 1955
                      pronoun:
                        type: string
                        description: Pronoun of the user
                        example: he/him
                      created:
                        type: number
                        description: Timestamp of user creation
                        example: 1367521780840
                      created_date:
                        type: string
                        description: Date of user creation
                        example: '2013-05-02T19:09:40.840Z'
                      location:
                        type: object
                        properties:
                          country:
                            type: string
                            description: Country
                            example: United States
                          country_code:
                            type: string
                            description: Country code
                            example: US
                          city:
                            type: string
                            description: City
                            example: Austin
                          geographic_area:
                            type: string
                            description: Geographic area
                            example: Texas
                          line1:
                            type: string
                            description: Line 1
                            example: 111 Congress Ave
                          line2:
                            type: string
                            description: Line 2
                            example: 111 Congress Ave
                          postal_code:
                            type: string
                            description: Postal code
                            example: '78701'
                      avatar:
                        type: array
                        items:
                          type: object
                          properties:
                            width:
                              type: number
                              description: Logo width
                              example: 400
                            height:
                              type: number
                              description: Logo height
                              example: 400
                            url:
                              type: string
                              description: Logo URL
                              example: >-
                                https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                            expires_at:
                              type: number
                              description: Logo expires at
                              example: 1748476800000
                        description: User avatar
                      cover:
                        type: array
                        items:
                          type: object
                          properties:
                            width:
                              type: number
                              description: Cover width
                              example: 1128
                            height:
                              type: number
                              description: Cover height
                              example: 191
                            url:
                              type: string
                              description: Cover URL
                              example: >-
                                https://media.licdn.com/dms/image/v2/D4E3DAQE7GzWAY8oQqw/image-scale_191_1128/image-scale_191_1128/0/1673607409141/stelvio_group_cover?e=1743404400&v=beta&t=SVZsPNKFMAMIKIlgUgJ8NXFkS_9-GL2StdBztrq52vs
                            expires_at:
                              type: number
                              description: Cover expires at
                              example: 1748476800000
                        description: User cover image
                      associated_hashtag:
                        type: array
                        items:
                          type: string
                        description: Array of associated hashtags
                        example:
                          - '#books'
                          - '#healthcare'
                          - '#innovation'
                          - '#climatechange'
                          - '#sustainability'
                      website:
                        type: object
                        properties:
                          title:
                            type: string
                            description: Title of the website
                            example: Bill & Melinda Gates Foundation
                          url:
                            type: string
                            description: URL of the website
                            example: https://www.gatesfoundation.org/
                      supported_locales:
                        type: array
                        items:
                          type: object
                          properties:
                            country:
                              type: string
                              description: Country code
                              example: US
                            language:
                              type: string
                              description: Language name
                              example: en
                        description: Array of supported locales
                      primary_locale:
                        type: object
                        properties:
                          country:
                            type: string
                            description: Country code
                            example: US
                          language:
                            type: string
                            description: Language name
                            example: en
                        description: Array of primary locale
                      follower_and_connection:
                        type: object
                        properties:
                          follower_count:
                            type: number
                            description: Number of followers
                            example: 11832
                          connection_count:
                            type: number
                            description: Number of connections
                            example: 1142
                        description: User follower and connection count
                      experiences:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Title of the experience
                              example: Software Engineer
                            description:
                              type: string
                              description: Description of the experience
                              example: Developed and maintained software applications
                            location:
                              type: string
                              description: Location of the experience
                              example: El Segundo, California, United States · On-site
                            employment_type:
                              type: string
                              description: Employment type of the experience
                              example: Full-time
                            date:
                              type: object
                              properties:
                                start:
                                  type: string
                                  description: Start date
                                  example: Feb 2025
                                end:
                                  type: string
                                  description: End date
                                  example: Present
                              description: Date of the experience
                            skills:
                              type: array
                              items:
                                type: string
                              description: Skills used in the experience
                              example:
                                - JavaScript
                                - React
                            company:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the company
                                  example: '2601253'
                                name:
                                  type: string
                                  description: Name of the company
                                  example: DigitalOcean
                                url:
                                  type: string
                                  description: URL to the company LinkedIn
                                  example: https://www.linkedin.com/company/2601253/
                                logo:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      width:
                                        type: number
                                        description: Logo width
                                        example: 400
                                      height:
                                        type: number
                                        description: Logo height
                                        example: 400
                                      url:
                                        type: string
                                        description: Logo URL
                                        example: >-
                                          https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                      expires_at:
                                        type: number
                                        description: Logo expires at
                                        example: 1748476800000
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  title:
                                    type: string
                                    description: Title of media
                                    example: Title
                                  description:
                                    type: string
                                    description: Description of media
                                    example: Description
                                  thumbnail:
                                    type: object
                                    properties:
                                      width:
                                        type: number
                                        description: Logo width
                                        example: 400
                                      height:
                                        type: number
                                        description: Logo height
                                        example: 400
                                      url:
                                        type: string
                                        description: Logo URL
                                        example: >-
                                          https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                      expires_at:
                                        type: number
                                        description: Logo expires at
                                        example: 1748476800000
                        description: Array of user experiences
                      skills:
                        type: array
                        items:
                          type: object
                          properties:
                            skill:
                              type: string
                              description: Skill name
                              example: JavaScript
                            num_endorsements:
                              type: number
                              description: Number of endorsements for the skill
                              example: 1
                            is_passed_skill_assessment:
                              type: boolean
                              description: Whether the user has passed the skill assessment
                              example: true
                        description: Array of user skills
                      certifications:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Title of the lisence or certification
                              example: AWS Certified Solutions Architect - Associate
                            authority:
                              type: string
                              description: >-
                                Authority that issued the lisence or
                                certification
                              example: Amazon Web Services
                            credential_url:
                              type: string
                              description: URL to the lisence or certification credential
                              example: https://www.credly.com/badges/12345678
                            issued_at:
                              type: string
                              description: Date the lisence or certification was issued
                              example: Jan 2020
                        description: Array of user certifications
                      publications:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Title of the publication
                              example: The Infinite Game
                            publication:
                              type: string
                              description: Name of the publication
                              example: Portfolio
                            description:
                              type: string
                              description: Description of the publication
                              example: >-
                                We can’t choose the game. We can’t choose the
                                rules. We can only choose how we play...
                            date:
                              type: string
                              description: Date of publication
                              example: Oct 15, 2019
                            publication_url:
                              type: string
                              description: URL to the publication
                              example: https://simonsinek.com/books/the-infinite-game/
                        description: Array of user publications
                      educations:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: School (Company) ID
                              example: '15099024'
                            school:
                              type: string
                              description: School name
                              example: University of California, Los Angeles
                            date:
                              type: object
                              properties:
                                start:
                                  type: string
                                  description: Start date
                                  example: Feb 2025
                                end:
                                  type: string
                                  description: End date
                                  example: Present
                              description: Date of the education
                            degree:
                              type: string
                              description: Degree name
                              example: Bachelor of Science
                            grade:
                              type: string
                              description: Grade of the education
                              example: '3.5'
                            description:
                              type: string
                              description: Description of the education
                              example: Studied computer science
                            activities:
                              type: string
                              description: Activities during the education
                              example: Member of the Computer Science Club
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  title:
                                    type: string
                                    description: Title of media
                                    example: Title
                                  description:
                                    type: string
                                    description: Description of media
                                    example: Description
                                  thumbnail:
                                    type: object
                                    properties:
                                      width:
                                        type: number
                                        description: Logo width
                                        example: 400
                                      height:
                                        type: number
                                        description: Logo height
                                        example: 400
                                      url:
                                        type: string
                                        description: Logo URL
                                        example: >-
                                          https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                      expires_at:
                                        type: number
                                        description: Logo expires at
                                        example: 1748476800000
                            skills:
                              type: array
                              items:
                                type: string
                              description: Skills used in the experience
                              example:
                                - JavaScript
                                - React
                        description: Array of user educations
                      honors:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Title of the honor
                              example: Breakthrough
                            caption:
                              type: string
                              description: Caption of the honor
                              example: Awarded for outstanding performance
                            issued_by:
                              type: string
                              description: Entity that issued the honor
                              example: DigitalOcean
                            issued_at:
                              type: string
                              description: Date the honor was issued
                              example: Jan 2020
                            associated_with:
                              type: string
                              description: Entity associated with the honor
                              example: DigitalOcean
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  title:
                                    type: string
                                    description: Title of media
                                    example: Title
                                  description:
                                    type: string
                                    description: Description of media
                                    example: Description
                                  thumbnail:
                                    type: object
                                    properties:
                                      width:
                                        type: number
                                        description: Logo width
                                        example: 400
                                      height:
                                        type: number
                                        description: Logo height
                                        example: 400
                                      url:
                                        type: string
                                        description: Logo URL
                                        example: >-
                                          https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                      expires_at:
                                        type: number
                                        description: Logo expires at
                                        example: 1748476800000
                        description: Array of user honors and awards
                      volunteers:
                        type: array
                        items:
                          type: object
                          properties:
                            organization:
                              type: string
                              description: Name of the organization
                              example: DigitalOcean
                            title:
                              type: string
                              description: Title of the volunteer experience
                              example: Volunteer
                            cause:
                              type: string
                              description: Cause of the volunteer experience
                              example: Education
                            duration:
                              type: string
                              description: Duration of the volunteer experience
                              example: 1 year
                            description:
                              type: string
                              description: Description of the volunteer experience
                              example: Mentored students in computer science
                            date:
                              type: object
                              properties:
                                start:
                                  type: string
                                  description: Start date
                                  example: Feb 2025
                                end:
                                  type: string
                                  description: End date
                                  example: Present
                              description: Date of the volunteer experience
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  title:
                                    type: string
                                    description: Title of media
                                    example: Title
                                  description:
                                    type: string
                                    description: Description of media
                                    example: Description
                                  thumbnail:
                                    type: object
                                    properties:
                                      width:
                                        type: number
                                        description: Logo width
                                        example: 400
                                      height:
                                        type: number
                                        description: Logo height
                                        example: 400
                                      url:
                                        type: string
                                        description: Logo URL
                                        example: >-
                                          https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                      expires_at:
                                        type: number
                                        description: Logo expires at
                                        example: 1748476800000
                        description: Array of user volunteer experiences
                      spoken_languages:
                        type: array
                        items:
                          type: object
                          properties:
                            language:
                              type: string
                              description: Language name
                              example: English
                            caption:
                              type: string
                              description: Language caption
                              example: English (United States)
                        description: Array of user spoken languages
                      bio:
                        type: string
                        description: String of user bio (about)
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````